//
// named.conf
//
// Provided by Red Hat bind package to configure the ISC BIND named(8) DNS
// server as a caching only nameserver (as a localhost DNS resolver only).
//
// See /usr/share/doc/bind*/sample/ for example named configuration files.
//

options {
#	listen-on port 53 { 127.0.0.1; };
#	listen-on-v6 port 53 { ::1; };
	version		"unknown";
	directory 	"/var/named";
	dump-file 	"/var/named/data/cache_dump.db";
        statistics-file "/var/named/data/named_stats.txt";
        memstatistics-file "/var/named/data/named_mem_stats.txt";
	allow-query     { localhost; localnets; };
	recursion yes;
	#dnssec-enable yes;
	#dnssec-validation yes;
	#dnssec-lookaside . trust-anchor dlv.isc.org.;
	forwarders{
		192.168.0.1;
	};
};

logging {
        channel default_debug {
                file "data/named.run";
                severity dynamic;
        };
};

view "internal" {
        match-clients { localnets; };
        match-destinations { localnets; };

zone "." IN {
	type hint;
	file "named.ca";
};

include "/etc/named.rfc1912.zones";
include "/etc/named.hyde-tech.com.zone";
};

#include "/etc/pki/dnssec-keys//named.dnssec.keys";
#include "/etc/pki/dnssec-keys//dlv/dlv.isc.org.conf";

view "external" {
        match-clients { any; };
        match-destinations { any; };
        recursion no;
        include "/etc/named.hyde-tech.com.zone.wan";
};

controls {
  inet 127.0.0.1 allow { localhost; } keys { "rndckey"; };
};

include "/etc/rndc.key";
